
QGIS Application - Bug report #20946

bug: raster layer style shown in "Layers" panel is not updated when style is changed from the "Style 

Manager" tab in the Layer Styling panel

2019-01-09 12:49 AM - Alister Hood

Status: Open

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:3.4.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28765

Description

As per the title.  To reproduce:

- Open the "Layer Styling" panel.

- Apply a style from a qml to a layer (using the folder icon on the fourth tab down).

- The style shown for that layer in the "Layers" panel should be updated, but it is not.

- Right click on the layer in the Layers panel and choose "Properties".

- Apply the style from qml (using the style button at the bottom of the symbology tab).

- Click OK, and the style shown for the layer is correctly updated in the "Layers" panel.

In fact, any change from the "Style Manager" tab is not reflected in the "Layers" panel i.e. using the "Restore Default" button, or selecting a

style from the list.

Only tested with raster layers and on Windows.

FWIW this seems like a very minor issue, but it can be very confusing - I almost filed a completely incorrect bug report because it made

me think the layers panel had somehow confused some layers and was turning the wrong ones on and off.

History

#1 - 2019-01-25 04:03 PM - Alexander Bruy

- Status changed from Open to Feedback

Works fine in master and 3.4.4. Please test again.

#2 - 2019-01-26 12:08 PM - Alister Hood

No, does not work in 3.4.4, and I tested in a fresh install on a new machine, too.

I guess there is something different about your environment.  Are you perhaps using a real operating system, rather than Windows?

Or did you only test with vector layers?  I see that it does work with vector layers.

#3 - 2019-01-26 12:09 PM - Alister Hood

- Subject changed from bug: style shown in "Layers" panel is not updated when style is changed from the "Style Manager" tab in the Layer Styling panel 

to bug: raster layer style shown in "Layers" panel is not updated when style is changed from the "Style Manager" tab in the Layer Styling panel

#4 - 2019-01-28 10:59 AM - Giovanni Manghi
- Affected QGIS version changed from 3.4.3 to 3.4.4

- Status changed from Feedback to Open
